View Issue Details

IDProjectCategoryView StatusLast Update
13325Bug reports[All Projects] Otherpublic2018-02-19 15:05
ReporterminnoceAssigned Toolle 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13325: {ADMINEMAIL} not working as recipient in admin notification emails
DescriptionLimesurvey documentation says: "To send an email to the survey administrator, you must use {ADMINEMAIL}." about "Send basic admin notification email to" and "Send detailed admin notification email to" fields, but trying to use it in one of those fields no email is sent at all.
Using a specific email address (ie: yourname@test.com) or entering a SGQA code work correctly (the email is sent).
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.2.1+180208
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.6
Operating System (Server)CentOS
Webserver software & versionApache 2.2
PHP Version5.6

Activities

olle

olle

2018-02-12 13:59

administrator   ~46392

Please always attach a survey which reproduces the issue, and detailed, preferably robotic, instructions on how to reproduce, like

1. Enter email address
2. Click on bla
3. Etc etc
minnoce

minnoce

2018-02-16 10:24

reporter   ~46545

I don't attach a survey, it's useless in this case.
Steps ti reproduce:
1) create a survey
2) insert a valid email in the "Admin email" field of General settings
3) edit "Notification and data management" settings
4) insert the placeholder {ADMINEMAIL} in one of the "Send basic admin notification email to" and "Send detailed admin notification email to" fields
5) activate the survey and execute it
6) no email is sent to the email inserted as Admin email
olle

olle

2018-02-19 14:30

administrator   ~46580

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26517

Related Changesets

LimeSurvey: master 75204b84

2018-02-19 14:30:19

olle

Details Diff
Fixed issue 13325: {ADMINEMAIL} not working as recipient in admin notification emails
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-09 10:20 minnoce New Issue
2018-02-09 12:14 LouisGac Sticky Issue No => Yes
2018-02-12 13:55 olle Assigned To => olle
2018-02-12 13:55 olle Status new => assigned
2018-02-12 13:56 olle Sticky Issue Yes => No
2018-02-12 13:59 olle Note Added: 46392
2018-02-12 14:00 olle Status assigned => feedback
2018-02-16 10:24 minnoce Note Added: 46545
2018-02-16 10:24 minnoce Status feedback => assigned
2018-02-19 14:30 olle Changeset attached => LimeSurvey master 75204b84
2018-02-19 14:30 olle Note Added: 46580
2018-02-19 14:30 olle Resolution open => fixed
2018-02-19 15:00 olle Status assigned => resolved
2018-02-19 15:00 olle Fixed in Version => 3.4.x
2018-02-19 15:05 olle Status resolved => closed